ata_qc_issue
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_qc_issue — issue taskfile to device

## Synopsis

`void ata_qc_issue (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  command to issue to device

## Description

Prepare an ATA command to submission to device. This includes mapping the data into a DMA-able area, filling in the S/G table, and finally writing the taskfile to hardware, starting the command.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_qc_free | Home | ata_dev_init